simavr does not match the latest GitHub release

Asked by Tomas Hubelbauer on 2019-09-18

Hi, the simavr package: https://packages.ubuntu.com/bionic/simavr is at version 1.5+dfsg1-2. Not sure what dfsg1-2 is, but the latest GitHub release is 1.6: https://github.com/buserror/simavr/releases/tag/v1.6. I'd like to bring attention to this as I have code which crashes in 1.5 but works in master when compiled manually. Not sure it will work with 1.6 but it's probably good to have the latest version up anyway. Or - because the 1.6 is itself pretty old (Jan 2018) maybe a completely new version could be put up which is from the current master of simavr and versioned by date instead of a version number, so that a recentish version of the program is available on Ubuntu. Thanks

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu simavr Edit question
Assignee:
No assignee Edit question
Solved by:
Manfred Hampl
Solved:
2019-09-18
Last query:
2019-09-18
Last reply:
2019-09-18
Manfred Hampl (m-hampl) said : #1

Manfred Hampl suggests this article as an answer to your question:
FAQ #3037: “no rolling release”.

Best Manfred Hampl (m-hampl) said : #2

Ubuntu 19.04 provides simavr 1.6

Remark: dfsg is an indication that the package is in agreement with https://en.wikipedia.org/wiki/Debian_Free_Software_Guidelines

That you see this acronym in Ubuntu is related to the fact that Ubuntu is taking over software from Debian, to avoid double packaging work.

Thanks Manfred Hampl, that solved my question.